import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { ActivatedRoute } from '@angular/router';
import { PasajerosService } from '../../services/pasajeros.service';

@Component({
  selector: 'app-detalles',
  templateUrl: './detalles.component.html',
  styleUrls: ['./detalles.component.css']
})
export class DetallesComponent implements OnInit{
  
  id: number = 0;

  pasajeroForm: FormGroup = this.formBuilder.group({
    primerNombre: [ ''  ],
    segundoNombre:[ ''],
    apellido:[ '' ],
    telefono:[ ''],
    correo:[ '' ],
    direccion:[ ''],
    ciudad:[ '' ],
    provincia:[ ''],
    pais:[ ''],
    detalles:[ ''],
  })

  constructor(
    private formBuilder: FormBuilder,
    private activateRoute: ActivatedRoute,
    private pasajerosService: PasajerosService
  ){}

  ngOnInit(): void {
    this.id = this.activateRoute.snapshot.params['id'];
    this.llenarFormulario();
  }

  private llenarFormulario(){
    this.pasajerosService.getPasajero(this.id).subscribe(
      res => {
        this.pasajeroForm.patchValue(res);
      }
    )
  }
}
